Retrieves A paged list Of permissible values that can Be assigned To A specific field.
Retrieves a paged list of permissible values that can be assigned to a specific field.
Request
URI
POST
https://{api_host}/approval-service/api/cafe-forms/forms/{formId}/{instanceId}/{elementId}/values
COPY
Path Parameters
string
formId
Required
The form id
string
instanceId
Required
The instance id
string
elementId
Required
The element id
Query Parameters
object
context
Required
The context
Request Body
elementValuesRequest
of type(s)
application/json
Optional
{
"pagingInfo": {
"offset": 0,
"count": 0
},
"headers": {
"entries": [
{
"key": "string"
}
]
},
"tenantId": "string",
"text": "string",
"userId": "string",
"dependencyValues": {
"entries": [
{
"key": "string"
}
]
}
}
string
tenantId
Optional
tenantId
string
text
Optional
text
string
userId
Optional
userId
Responses
200
successful operation
Returns
elementValues
of type(s)
*/*
{
"values": [
{
"label": "string"
}
]
}
On This Page
Approval Policy Operations
POST
Creates A new approval policy.
DELETE
Deletes An approval policy.
GET
Lists the approval policies.
GET
Retrieve A form.
POST
Retrieves A paged list Of permissible values that can Be assigned To A specific field.
GET
Retrieves An approval policy.
POST
Retrieves the updated state Of one Or more layout elements In response To change In one Or more layout fields' values.
PUT
Updates An Approval Policy while ignoring few Of the validations. This Is An internal API which Is used for upgrade.
PUT
Updates An approval policy.